﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    internal class DrawningSuperAirbus : DrawningAirbus
    {
        //Инициализаци свойств
        public DrawningSuperAirbus(int speed, float weight, Color corpusColor, Color addColor, bool addCompartment, bool addEngine) :
            base(speed, weight, corpusColor, 110, 60)
        {
            Airbus = new EntitySuperAirbus(speed, weight, corpusColor, addColor, addCompartment, addEngine);
        }

        public override void DrawTransport(Graphics g)
        {
            if (Airbus is not EntitySuperAirbus superAirbus)
            {
                return;
            }

            Pen pen = new Pen(Color.Black);
            Brush addBrush = new SolidBrush(superAirbus.AddColor);

            //дополнительный пассажирский отсек
            if (superAirbus.AddСompartment)
            {
                g.FillEllipse(addBrush, _startPosX + 60, _startPosY + 28, 27, 10);
                g.DrawEllipse(pen, _startPosX + 60, _startPosY + 28, 27, 10);
            }

            _startPosX += 10;
            _startPosY += 5;
            base.DrawTransport(g);
            _startPosX -= 10;
            _startPosY -= 5;

            //дополнительный двигатель
            if (superAirbus.AddEngine)
            {
                g.FillRectangle(addBrush, _startPosX + 45, _startPosY + 52, 25, 7);
                g.DrawRectangle(pen, _startPosX + 45, _startPosY + 52, 25, 7);
            }
        }
    }
}
